Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.olafpanz.translationtable
Enum TranslationTableMain.ArgumentState

    java.lang.Object
      java.lang.Enum<TranslationTableMain.ArgumentState>
          de.olafpanz.translationtable.TranslationTableMain.ArgumentState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TranslationTableMain.ArgumentState>

Enclosing class:
  TranslationTableMain

    private static enum TranslationTableMain.ArgumentState

extends java.lang.Enum<TranslationTableMain.ArgumentState>

States when arguments are read

Author:
  Olaf Panz

Enum Constant Summary
`AbsoluteRCPPath` Next argument is absolute rcp path.
`AbsoluteSourcePath` Next is an absoulte source path
`AbsoluteXMLExport` Export last loaded translation table to xml with absolute path specification
`Default` Next is ODS or parameter prefix
`JDK` Next is JDK number
`ReadODS` Next parameter is an ods file and should be processed.
`ReadXML` Next parameter is an xml file and should be processed.
`RelativeRCPPath` Next argument is relative rcp path.
`RelativeSourcePath` Next is a relative source path.
`RelativeXMLExport` Export last loaded translation table to xml with relative path specification

Method Summary
`static TranslationTableMain.ArgumentState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TranslationTableMain.ArgumentState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Default

    public static final TranslationTableMain.ArgumentState Default

  Next is ODS or parameter prefix

### AbsoluteXMLExport

    public static final TranslationTableMain.ArgumentState AbsoluteXMLExport

  Export last loaded translation table to xml with absolute path specification

### RelativeXMLExport

    public static final TranslationTableMain.ArgumentState RelativeXMLExport

  Export last loaded translation table to xml with relative path specification

### JDK

    public static final TranslationTableMain.ArgumentState JDK

  Next is JDK number

### AbsoluteSourcePath

    public static final TranslationTableMain.ArgumentState AbsoluteSourcePath

  Next is an absoulte source path

### RelativeSourcePath

    public static final TranslationTableMain.ArgumentState RelativeSourcePath

  Next is a relative source path.

### AbsoluteRCPPath

    public static final TranslationTableMain.ArgumentState AbsoluteRCPPath

  Next argument is absolute rcp path.

### RelativeRCPPath

    public static final TranslationTableMain.ArgumentState RelativeRCPPath

  Next argument is relative rcp path.

### ReadODS

    public static final TranslationTableMain.ArgumentState ReadODS

  Next parameter is an ods file and should be processed.

### ReadXML

    public static final TranslationTableMain.ArgumentState ReadXML

  Next parameter is an xml file and should be processed.

Method Detail

### values

    public static TranslationTableMain.ArgumentState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TranslationTableMain.ArgumentState c : TranslationTableMain.ArgumentState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TranslationTableMain.ArgumentState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD